SoEngineList(3)

NAME
SoEngineList - The SoEngineList class is a container for SoEngine objects.

SYNOPSIS

#include <Inventor/lists/SoEngineList.h>

Inherits SoBaseList.

  Public Member Functions
SoEngineList (void)
SoEngineList (const int size)
SoEngineList (const SoEngineList &el)
~SoEngineList ()
void append (SoEngine *const ptr)
SoEngine * operator[] (const int i) const
SoEngineList & operator= (const SoEngineList &el)
Public Member Functions inherited from SoBaseList
SoBaseList (void)
SoBaseList (const int size)
SoBaseList (const SoBaseList &l)
~SoBaseList ()
void append (SoBase *ptr)
void insert (SoBase *ptr, const int addbefore)
void remove (const int index)
void removeItem (SoBase *item)
void truncate (const int length)
void copy (const SoBaseList &l)
SoBaseList & operator= (const SoBaseList &l)
SoBase * operator[] (const int i) const
void set (const int i, SoBase *const ptr)
void addReferences (const SbBool flag)
SbBool isReferencing (void) const
Public Member Functions inherited from SbPList
SbPList (const int sizehint=DEFAULTSIZE)
SbPList (const SbPList &l)
~SbPList ()
void copy (const SbPList &l)
SbPList & operator= (const SbPList &l)
void fit (void)
void append (void *item)
int find (const void *item) const
void insert (void *item, const int insertbefore)
void removeItem (void *item)
void remove (const int index)
void removeFast (const int index)
int getLength (void) const
void truncate (const int length, const int fit=0)
void ** getArrayPtr (const int start=0) const
void *& operator[] (const int index) const
int operator== (const SbPList &l) const
int operator!= (const SbPList &l) const
void * get (const int index) const
void set (const int index, void *item)

  Additional Inherited Members
Protected Member Functions inherited from SbPList
void expand (const int size)
int getArraySize (void) const

Detailed Description

The SoEngineList class is a container for SoEngine objects. As this class inherits SoBaseList, referencing and dereferencing will default be done on the objects at append(), remove(), insert() etc.

Constructor & Destructor Documentation

  SoEngineList::SoEngineList (void )
Default constructor.

  SoEngineList::SoEngineList (const int size)
Constructor with a hint about the number of elements the list will hold.

See also
    SoBaseList::SoBaseList(const int)

  SoEngineList::SoEngineList (const SoEngineList & el)
Copy constructor.

See also
    SoBaseList::SoBaseList(const SoBaseList &)

  SoEngineList::~SoEngineList ()
Destructor.

See also
    SoBaseList::~SoBaseList()

Member Function Documentation

  void SoEngineList::append (SoEngine *const ptr)
Append ptr to the list.

See also
    SoBaseList::append()

  SoEngine * SoEngineList::operator[] (const int i) const
Return engine pointer at index i.

See also
    SoBaseList::operator[]()

  SoEngineList & SoEngineList::operator= (const SoEngineList & el)
Copy contents of list el to this list.

See also
    SoBaseList::operator=()

Author

Generated automatically by Doxygen for Coin from the source code.